<?xml version="1.0" encoding="UTF-8"?>
<ecore:EPackage xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" name="OPC_UA_DI_Library" nsURI="http:///OPC_UA_DI_Library.ecore" nsPrefix="OPC_UA_DI_Library">
  <eClassifiers xsi:type="ecore:EEnum" name="DeviceHealthEnumeration">
    <eLiterals name="NORMAL" value="1">
      <eAnnotations source="http://www.eclipse.org/emf/2002/GenModel">
        <details key="documentation" value="This device functions normally."/>
      </eAnnotations>
    </eLiterals>
    <eLiterals name="FAILURE" value="1">
      <eAnnotations source="http://www.eclipse.org/emf/2002/GenModel">
        <details key="documentation" value="Malfunction of the device or any of its peripherals."/>
      </eAnnotations>
    </eLiterals>
    <eLiterals name="CHECK_FUNCTION" value="2">
      <eAnnotations source="http://www.eclipse.org/emf/2002/GenModel">
        <details key="documentation" value="Functional checks are currently performed."/>
      </eAnnotations>
    </eLiterals>
    <eLiterals name="OFF_SPEC" value="3">
      <eAnnotations source="http://www.eclipse.org/emf/2002/GenModel">
        <details key="documentation" value="The device is currently working outside of its specified range or that internal diagnoses indicate deviations from measured or set values."/>
      </eAnnotations>
    </eLiterals>
    <eLiterals name="MAINTENANCE_REQUIRED" value="4">
      <eAnnotations source="http://www.eclipse.org/emf/2002/GenModel">
        <details key="documentation" value="This element is working, but a maintenance operation is required."/>
      </eAnnotations>
    </eLiterals>
  </eClassifiers>
</ecore:EPackage>
